gxCmdQueue_s Struct Reference

GX command queue structure. More...

`#include <gx.h>`

## Data Fields

gxCmdEntry_s * | entries
| Pointer to array of GX command entries.
u16 | maxEntries
| Capacity of the command array.
u16 | numEntries
| Number of commands in the queue.
u16 | curEntry
| Index of the first pending command to be submitted to GX.
u16 | lastEntry
| Number of commands completed by GX.
void(* | callback )(struct tag_gxCmdQueue_s *)
| User callback.
void * | user
| Data for user callback.

## Detailed Description

GX command queue structure.

The documentation for this struct was generated from the following file:

- include/3ds/gpu/gx.h